Loading...
Searching...
No Matches
osmium::handler::ObjectRelations Class Reference

`#include <object_relations.hpp>`

Inheritance diagram for osmium::handler::ObjectRelations:
[legend]
Collaboration diagram for osmium::handler::ObjectRelations:
[legend]

## Public Member Functions

| ObjectRelations (index_type &n2w, index_type &n2r, index_type &w2r, index_type &r2r)
void | way (const osmium::Way &way)
void | relation (const osmium::Relation &relation)
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const noexcept
void | node (const osmium::Node &) const noexcept
void | way (const osmium::Way &) const noexcept
void | relation (const osmium::Relation &) const noexcept
void | area (const osmium::Area &) const noexcept
void | changeset (const osmium::Changeset &) const noexcept
void | tag_list (const osmium::TagList &) const noexcept
void | way_node_list (const osmium::WayNodeList &) const noexcept
void | relation_member_list (const osmium::RelationMemberList &) const noexcept
void | outer_ring (const osmium::OuterRing &) const noexcept
void | inner_ring (const osmium::InnerRing &) const noexcept
void | changeset_discussion (const osmium::ChangesetDiscussion &) const noexcept
void | flush () const noexcept

## Private Types

using | index_type = osmium::index::multimap::Multimap< unsigned_object_id_type, unsigned_object_id_type >

## Private Attributes

index_type & | m_index_n2w
index_type & | m_index_n2r
index_type & | m_index_w2r
index_type & | m_index_r2r

## Detailed Description

This handler updates the indexes given to the constructor with the relations between objects.

Note: This handler will only work if either all object IDs are positive or all object IDs are negative.

## Member Typedef Documentation

## index_type

using osmium::handler::ObjectRelations::index_type = osmium::index::multimap::Multimap<unsigned_object_id_type, unsigned_object_id_type>

private

## Constructor & Destructor Documentation

## ObjectRelations()

osmium::handler::ObjectRelations::ObjectRelations | ( | index_type & | n2w,
|  | index_type & | n2r,
|  | index_type & | w2r,
|  | index_type & | r2r
| ) |  |

inline explicit

## Member Function Documentation

## relation()

void osmium::handler::ObjectRelations::relation | ( | const osmium::Relation & | relation | ) |

inline

## way()

void osmium::handler::ObjectRelations::way | ( | const osmium::Way & | way | ) |

inline

## Member Data Documentation

## m_index_n2r

index_type& osmium::handler::ObjectRelations::m_index_n2r

private

## m_index_n2w

index_type& osmium::handler::ObjectRelations::m_index_n2w

private

## m_index_r2r

index_type& osmium::handler::ObjectRelations::m_index_r2r

private

## m_index_w2r

index_type& osmium::handler::ObjectRelations::m_index_w2r

private

The documentation for this class was generated from the following file:

- include/osmium/handler/object_relations.hpp